Bug 820946 - The jboss-as package is missing the javax.ws.rs.api module
The jboss-as package is missing the javax.ws.rs.api module
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jboss-as (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On: 822424
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 07:53 EDT by Juan Hernández
Modified: 2012-06-07 18:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-07 18:53:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Hernández 2012-05-11 07:53:04 EDT
Description of problem:

The jboss-as package contains the resteasy modules, but these don't work without the corresponding javax.ws.rs.api module.

Version-Release number of selected component (if applicable):

jboss-as-7.1.1-2.fc17.noarch

Additional info:

This module can be implemented using the upstream module.xml and the jaxrs-api.jar file provided by the resteasy package.
Comment 1 Marek Goldmann 2012-05-17 10:46:55 EDT
Once the jboss-jaxrs-1.1-api package will be added to Fedora, I'll close this bug with next jboss-as package release.
Comment 2 Fedora Update System 2012-05-28 03:57:54 EDT
jboss-as-7.1.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-as-7.1.1-3.fc17
Comment 3 Fedora Update System 2012-05-29 06:38:13 EDT
Package jboss-as-7.1.1-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jboss-as-7.1.1-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8556/jboss-as-7.1.1-3.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-07 18:53:15 EDT
jboss-as-7.1.1-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.